Webhooks
Subscribes to change events for the counter definitions collection.
Caution
Read the Webhooks page. There is important information on required implementation!
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
POST
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/webhooks
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-webhooks.write
Body properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
destinationUrl |
string | Yes | Yes | The URL where webhook events will be sent. |
collectionName |
string | Yes | Yes | The name of the collection to subscribe to (counter-definitions). |
Event properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Internal unique identifier for the counter definition. |
name.default |
string | — | Read-only | Default name value of the counter definition. |
name.translations |
object | — | Read-only | A list of translated names of the definition by language code. |
code |
string | — | Read-only | A counter code used for this definition. |
friendlyName.default |
string | — | Read-only | Default friendly name value for this definition shown to users. |
friendlyName.translations |
object | — | Read-only | A list of translated friendly names by language code. |
friendlyCode.default |
string | — | Read-only | Default friendly code value for this definition shown to users. |
friendlyCode.translations |
object | — | Read-only | A list of translated friendly codes by language code. |
isEnabled |
boolean | — | Read-only | Indicates if the counter definition is enabled in myProtime. |
counterGroup.id |
integer | — | Read-only | The ID of the associated counter group. |
unit |
string | — | Read-only | The unit type for the counter definition (Unknown, Interval, Duration, Instance). |
External references
Webhook event payloads support external references for the following collections:
| Collection | Predefined | Custom |
|---|---|---|
counter-definitions |
@counter-code |
Supported |
counter-groups |
Not available | Supported |
See the external references page for details.
Error responses
| Status | Condition |
|---|---|
400 |
Invalid destination URL or unknown collection name |
401 |
Missing or invalid access token, or insufficient scope |
Success response
201 Created with webhook key and validUntil in the response body.
Examples
Creating a webhook for counter definitions
POST
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/webhooks
{
"destinationUrl": "https://www.fictional-customer.com/protime/counter-definitions",
"collectionName": "counter-definitions"
}